import Vue from '../main'
import axios from "axios";
import router from "@/route/router";
import { message } from "ant-design-vue";

const instance = axios.create({
    //baseURL: 'http://47.99.64.149:8082/', // baseUrl会在发送请求的时候拼接在url前面      开发环境
    // baseURL: 'http://www.7drlb7.com:8082/', // baseUrl会在发送请求的时候拼接在url前面      正式环境
	// baseURL: 'http://120.26.43.34:8082/',
	baseURL: 'http://192.168.0.11:8082/',
    timeout: 5000
})

// 请求拦截
// 所有请求都会先走这个方法
instance.interceptors.request.use(
    (config: any) => {
        // if (Vue.$ss.get("token") === null) {return }
        if (Vue.$ss.get("token")) {
            config.headers.token = Vue.$ss.get('token')
        }
        return config
    },
    (error: any) => {
        return Promise.reject(error)
    }
)

// 响应拦截
// 所有响应都会先走这个方法
instance.interceptors.response.use(
    (response: any) => {
        if (response.data.code === -3) {
            setTimeout(() => {
                if (Vue.$ss.get('token') !== '') {
                    Vue.$ss.set('token', '')
                    router.push('/passport/login')
                } else {

                }
            }, 100)

        } else {
            return response
        }
    },
    (error: any) => {
        return Promise.reject(error)
    }
)

// get请求封装
export function get(url: string, params: any) {
    return instance.get(url, {
        params
    });
}

// post请求封装

export function post(url: string, data: any) {
    return instance.post(url, data);
}
